Page MenuHomeFreeBSD

Clarify unsupported release upgrade error message
ClosedPublic

Authored by aryeeteygerald_rogers.com on Wed, Jan 9, 11:01 PM.

Details

Summary

Notifies users that upgrading from -CURRENT or -STABLE is unsupported by freebsd-update. Also ensures --currently-running provides a correctly formatted release (As done by -r).

PR: 234771

Test Plan

Set --currently-running to 11.1-STABLE and -r to both 11.2-CURRENT and 12.0-RELEASE

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

aryeeteygerald_rogers.com edited the summary of this revision. (Show Details)
bcran accepted this revision.Thu, Jan 17, 7:25 PM
This revision is now accepted and ready to land.Thu, Jan 17, 7:25 PM
This revision was automatically updated to reflect the committed changes.